    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2009, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------
    028     * Overlay.java
    029     * ------------
    030     * (C) Copyright 2009, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes:
    036     * --------
    037     * 09-Apr-2009 : Version 1 (DG);
    038     *
    039     */
    040    package org.jfree.chart.panel;
    041
    042    import java.awt.Graphics2D;
    043    import org.jfree.chart.ChartPanel;
    044    import org.jfree.chart.event.OverlayChangeListener;
    045
    046    /**
    047     * Defines the interface for an overlay that can be added to a
    048     * {@link ChartPanel}.
    049     *
    050     * @since 1.0.13
    051     */
    052    public interface Overlay {
    053
    054        /**
    055         * Paints the crosshairs in the layer.
    056         *
    057         * @param g2  the graphics target.
    058         * @param chartPanel  the chart panel.
    059         */
    060        public void paintOverlay(Graphics2D g2, ChartPanel chartPanel);
    061
    062        /**
    063         * Registers a change listener with the overlay.
    064         *
    065         * @param listener  the listener.
    066         */
    067        public void addChangeListener(OverlayChangeListener listener);
    068
    069        /**
    070         * Deregisters a listener from the overlay.
    071         *
    072         * @param listener  the listener.
    073         */
    074        public void removeChangeListener(OverlayChangeListener listener);
    075
    076    }